Page MenuHomePhabricator

Add project Dibabel to translatewiki.net
Closed, ResolvedPublic

Description

Project setup checklist

Project information

Name: Dibabel
Website: https://dibabel.toolforge.org/
Logo:

Project description: This Wikipedia tool keeps template and module pages on multiple wiki sites in sync with the master copy, usually stored on mediawiki.org.

Project page:

Project configuration (for translation admins)

Namespace: NS_WIKIMEDIA
Prefix: dibabel-
Validators:

  • BraceBalance
  • MediaWikiParameter
  • MediaWikiPlural

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2020, 11:37 AM
Iniquity updated the task description. (Show Details)Aug 19 2020, 12:02 PM
Amire80 updated the task description. (Show Details)Aug 19 2020, 12:05 PM
  • Content fit: Free software, related to Wikimedia, useful to Wikimedia editors.
  • Quality of strings: I went over the whole en.json file, and the strings look OK to me. It works well on https://dibabel.toolforge.org/
  • Commit access: can probably be given for direct automatic commits by @Yurik or @Iniquity.

Change 621509 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add support for DiBabel project

https://gerrit.wikimedia.org/r/621509

abi_ updated the task description. (Show Details)Aug 20 2020, 11:31 AM
abi_ updated the task description. (Show Details)
abi_ added a comment.Aug 20 2020, 11:48 AM

@Iniquity - I've submitted a PR to add the project to twn.

Following things are pending:

  1. Please review the project page here: https://translatewiki.net/wiki/Translating:Dibabel
  2. Please review the project description added here: https://translatewiki.net/wiki/Group_descriptions
  3. Please give permission to the Github user: https://github.com/translatewiki to export translations to the Github repository.

Regarding export of translations, we can either export translations directly to the master branch or push to a different branch and create a PR to the master branch. Let me know which one you would prefer.

abi_ claimed this task.Aug 20 2020, 11:49 AM
abi_ triaged this task as Medium priority.
Yurik added a comment.Aug 20 2020, 3:54 PM

@abi_ thanks, I reviewed them, made a few minor corrections to the wiki pages, and added translatewiki as the contributor. Pushing to master is fine. If we make some changes to the master's i18n dir (either en.json or some other one), will you automatically pick that up before pushing?

It's best to change only en.json :)

I'm pretty sure that the bot will pick up changes from other files, too, but @abi_ can correct me if I'm wrong.

Nikerabbit updated the task description. (Show Details)Aug 20 2020, 6:49 PM

Change 621509 merged by jenkins-bot:
[translatewiki@master] Add support for DiBabel project

https://gerrit.wikimedia.org/r/621509

abi_ added a comment.Aug 24 2020, 8:41 AM

I'm pretty sure that the bot will pick up changes from other files, too, but @abi_ can correct me if I'm wrong.

@Yurik - Best to make changes only to the en.json file. Changes are imported from projects multiple times a day to ensure that translators are translating the latest content only.

The project is now available for translation on translatewiki. Exports will be run later today. Exports are done twice a week on Mondays and Thursdays.

Translations were exported: https://github.com/nyurik/dibabel-js/commit/f3dd2bd20a835e77a23fa6163e9ca9d211e69717

Moving this to done, but leaving it as unresolved for sometime for monitoring.

Iniquity added a comment.EditedAug 24 2020, 2:49 PM

Translations were exported: https://github.com/nyurik/dibabel-js/commit/f3dd2bd20a835e77a23fa6163e9ca9d211e69717

Moving this to done, but leaving it as unresolved for sometime for monitoring.

Wow, thanks! :)

Yurik added a comment.Aug 24 2020, 3:27 PM

Thank you everyone for getting it solved! @abi_ could you make it more often than twice a week? I'm pretty sure most contributors would love to see their changes going live asap (the instant gratification is important is FOSS :) ) -- and if there are no changes, it would simply be a noop, i don't think running a bot is very taxing on the system :) Thx!

Yurik added a comment.Aug 25 2020, 6:58 AM

@abi_ would it be possible to do a massive rename to get rid of the dibabel- prefix in all strings? I just realized that the tool ended up with two of them in the translatewiki, and since this is a fully standalone tool, there is no point in having a prefix everywhere in code either.

abi_ added a comment.Aug 25 2020, 11:19 AM

@abi_ would it be possible to do a massive rename to get rid of the dibabel- prefix in all strings? I just realized that the tool ended up with two of them in the translatewiki, and since this is a fully standalone tool, there is no point in having a prefix everywhere in code either.

Yes, please perform the rename in the code only on the English language file. The keys in the rest of the languages will be renamed on our end.

Yurik added a comment.EditedAug 25 2020, 1:44 PM

@abi_ thanks, done! Let me know when you can push the updates to the repo :)

Nikerabbit added a subscriber: Nikerabbit.

Note to self: due to the rename we are a missing a few author attributions. These need to be added manually.

@Yurik requested export threshold to be set to 0.

Change 622795 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] dibabel: set export threshold to 0

https://gerrit.wikimedia.org/r/622795

Change 622795 merged by jenkins-bot:
[translatewiki@master] dibabel: set export threshold to 0

https://gerrit.wikimedia.org/r/622795

Yurik closed this task as Resolved.Aug 27 2020, 4:40 PM

Closing as it is clearly complete and works great. Thanks everyone!